PageRenderTime 172ms CodeModel.GetById 20ms app.highlight 133ms RepoModel.GetById 1ms app.codeStats 1ms

/crypto/heimdal/appl/telnet/telnetd/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 973 lines | 862 code | 86 blank | 25 comment | 154 complexity | 5808e6b0b1ed4a70425e5bab4f7df9e4 MD5 | raw file
  1# Makefile.in generated by automake 1.11.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18# $Id$
 19
 20# $Id$
 21
 22# $Id$
 23
 24VPATH = @srcdir@
 25pkgdatadir = $(datadir)/@PACKAGE@
 26pkgincludedir = $(includedir)/@PACKAGE@
 27pkglibdir = $(libdir)/@PACKAGE@
 28pkglibexecdir = $(libexecdir)/@PACKAGE@
 29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 30install_sh_DATA = $(install_sh) -c -m 644
 31install_sh_PROGRAM = $(install_sh) -c
 32install_sh_SCRIPT = $(install_sh) -c
 33INSTALL_HEADER = $(INSTALL_DATA)
 34transform = $(program_transform_name)
 35NORMAL_INSTALL = :
 36PRE_INSTALL = :
 37POST_INSTALL = :
 38NORMAL_UNINSTALL = :
 39PRE_UNINSTALL = :
 40POST_UNINSTALL = :
 41build_triplet = @build@
 42host_triplet = @host@
 43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 44	$(top_srcdir)/Makefile.am.common \
 45	$(top_srcdir)/cf/Makefile.am.common
 46libexec_PROGRAMS = telnetd$(EXEEXT)
 47subdir = appl/telnet/telnetd
 48ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 49am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
 50	$(top_srcdir)/cf/auth-modules.m4 \
 51	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
 52	$(top_srcdir)/cf/broken-glob.m4 \
 53	$(top_srcdir)/cf/broken-realloc.m4 \
 54	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
 55	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
 56	$(top_srcdir)/cf/capabilities.m4 \
 57	$(top_srcdir)/cf/check-compile-et.m4 \
 58	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
 59	$(top_srcdir)/cf/check-man.m4 \
 60	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
 61	$(top_srcdir)/cf/check-type-extra.m4 \
 62	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
 63	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
 64	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
 65	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
 66	$(top_srcdir)/cf/find-func-no-libs.m4 \
 67	$(top_srcdir)/cf/find-func-no-libs2.m4 \
 68	$(top_srcdir)/cf/find-func.m4 \
 69	$(top_srcdir)/cf/find-if-not-broken.m4 \
 70	$(top_srcdir)/cf/framework-security.m4 \
 71	$(top_srcdir)/cf/have-struct-field.m4 \
 72	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
 73	$(top_srcdir)/cf/krb-bigendian.m4 \
 74	$(top_srcdir)/cf/krb-func-getlogin.m4 \
 75	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
 76	$(top_srcdir)/cf/krb-readline.m4 \
 77	$(top_srcdir)/cf/krb-struct-spwd.m4 \
 78	$(top_srcdir)/cf/krb-struct-winsize.m4 \
 79	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
 80	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
 81	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
 82	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
 83	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
 84	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
 85	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
 86	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
 87	$(top_srcdir)/cf/roken-frag.m4 \
 88	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
 89	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
 90	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
 91	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
 92	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
 93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 94	$(ACLOCAL_M4)
 95mkinstalldirs = $(install_sh) -d
 96CONFIG_HEADER = $(top_builddir)/include/config.h
 97CONFIG_CLEAN_FILES =
 98CONFIG_CLEAN_VPATH_FILES =
 99am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
100PROGRAMS = $(libexec_PROGRAMS)
101am_telnetd_OBJECTS = telnetd.$(OBJEXT) state.$(OBJEXT) \
102	termstat.$(OBJEXT) slc.$(OBJEXT) sys_term.$(OBJEXT) \
103	utility.$(OBJEXT) global.$(OBJEXT) authenc.$(OBJEXT)
104telnetd_OBJECTS = $(am_telnetd_OBJECTS)
105telnetd_LDADD = $(LDADD)
106am__DEPENDENCIES_1 =
107telnetd_DEPENDENCIES = ../libtelnet/libtelnet.a $(LIB_krb5) \
108	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
109	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
110	$(am__DEPENDENCIES_1) $(LIB_kdfs) $(am__DEPENDENCIES_1)
111depcomp = $(SHELL) $(top_srcdir)/depcomp
112am__depfiles_maybe = depfiles
113am__mv = mv -f
114COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
115	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
116LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
117	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
118	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
119CCLD = $(CC)
120LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
121	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
122	$(LDFLAGS) -o $@
123SOURCES = $(telnetd_SOURCES)
124DIST_SOURCES = $(telnetd_SOURCES)
125am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
126am__vpath_adj = case $$p in \
127    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
128    *) f=$$p;; \
129  esac;
130am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
131am__install_max = 40
132am__nobase_strip_setup = \
133  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
134am__nobase_strip = \
135  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
136am__nobase_list = $(am__nobase_strip_setup); \
137  for p in $$list; do echo "$$p $$p"; done | \
138  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
139  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
140    if (++n[$$2] == $(am__install_max)) \
141      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
142    END { for (dir in files) print dir, files[dir] }'
143am__base_list = \
144  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
145  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
146man8dir = $(mandir)/man8
147MANS = $(man_MANS)
148ETAGS = etags
149CTAGS = ctags
150DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151ACLOCAL = @ACLOCAL@
152AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
153AMTAR = @AMTAR@
154AR = @AR@
155ASN1_COMPILE = @ASN1_COMPILE@
156ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
157AUTOCONF = @AUTOCONF@
158AUTOHEADER = @AUTOHEADER@
159AUTOMAKE = @AUTOMAKE@
160AWK = @AWK@
161CANONICAL_HOST = @CANONICAL_HOST@
162CAPNG_CFLAGS = @CAPNG_CFLAGS@
163CAPNG_LIBS = @CAPNG_LIBS@
164CATMAN = @CATMAN@
165CATMANEXT = @CATMANEXT@
166CC = @CC@
167CCDEPMODE = @CCDEPMODE@
168CFLAGS = @CFLAGS@
169COMPILE_ET = @COMPILE_ET@
170CPP = @CPP@
171CPPFLAGS = @CPPFLAGS@
172CYGPATH_W = @CYGPATH_W@
173DBHEADER = @DBHEADER@
174DBLIB = @DBLIB@
175DEFS = @DEFS@
176DEPDIR = @DEPDIR@
177DIR_com_err = @DIR_com_err@
178DIR_hcrypto = @DIR_hcrypto@
179DIR_hdbdir = @DIR_hdbdir@
180DIR_roken = @DIR_roken@
181DLLTOOL = @DLLTOOL@
182DSYMUTIL = @DSYMUTIL@
183DUMPBIN = @DUMPBIN@
184ECHO_C = @ECHO_C@
185ECHO_N = @ECHO_N@
186ECHO_T = @ECHO_T@
187EGREP = @EGREP@
188EXEEXT = @EXEEXT@
189FGREP = @FGREP@
190GREP = @GREP@
191GROFF = @GROFF@
192INCLUDES_roken = @INCLUDES_roken@
193INCLUDE_hcrypto = @INCLUDE_hcrypto@
194INCLUDE_hesiod = @INCLUDE_hesiod@
195INCLUDE_krb4 = @INCLUDE_krb4@
196INCLUDE_libedit = @INCLUDE_libedit@
197INCLUDE_libintl = @INCLUDE_libintl@
198INCLUDE_openldap = @INCLUDE_openldap@
199INCLUDE_readline = @INCLUDE_readline@
200INCLUDE_sqlite3 = @INCLUDE_sqlite3@
201INSTALL = @INSTALL@
202INSTALL_DATA = @INSTALL_DATA@
203INSTALL_PROGRAM = @INSTALL_PROGRAM@
204INSTALL_SCRIPT = @INSTALL_SCRIPT@
205INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
206LD = @LD@
207LDFLAGS = @LDFLAGS@
208LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
209LEX = @LEX@
210LEXLIB = @LEXLIB@
211LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
212LIBADD_roken = @LIBADD_roken@
213LIBOBJS = @LIBOBJS@
214LIBS = @LIBS@
215LIBTOOL = @LIBTOOL@
216LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
217LIB_NDBM = @LIB_NDBM@
218LIB_XauFileName = @LIB_XauFileName@
219LIB_XauReadAuth = @LIB_XauReadAuth@
220LIB_XauWriteAuth = @LIB_XauWriteAuth@
221LIB_bswap16 = @LIB_bswap16@
222LIB_bswap32 = @LIB_bswap32@
223LIB_com_err = @LIB_com_err@
224LIB_com_err_a = @LIB_com_err_a@
225LIB_com_err_so = @LIB_com_err_so@
226LIB_crypt = @LIB_crypt@
227LIB_db_create = @LIB_db_create@
228LIB_dbm_firstkey = @LIB_dbm_firstkey@
229LIB_dbopen = @LIB_dbopen@
230LIB_dispatch_async_f = @LIB_dispatch_async_f@
231LIB_dlopen = @LIB_dlopen@
232LIB_dn_expand = @LIB_dn_expand@
233LIB_dns_search = @LIB_dns_search@
234LIB_door_create = @LIB_door_create@
235LIB_freeaddrinfo = @LIB_freeaddrinfo@
236LIB_gai_strerror = @LIB_gai_strerror@
237LIB_getaddrinfo = @LIB_getaddrinfo@
238LIB_gethostbyname = @LIB_gethostbyname@
239LIB_gethostbyname2 = @LIB_gethostbyname2@
240LIB_getnameinfo = @LIB_getnameinfo@
241LIB_getpwnam_r = @LIB_getpwnam_r@
242LIB_getsockopt = @LIB_getsockopt@
243LIB_hcrypto = @LIB_hcrypto@
244LIB_hcrypto_a = @LIB_hcrypto_a@
245LIB_hcrypto_appl = @LIB_hcrypto_appl@
246LIB_hcrypto_so = @LIB_hcrypto_so@
247LIB_hesiod = @LIB_hesiod@
248LIB_hstrerror = @LIB_hstrerror@
249LIB_kdb = @LIB_kdb@
250LIB_krb4 = @LIB_krb4@
251LIB_libedit = @LIB_libedit@
252LIB_libintl = @LIB_libintl@
253LIB_loadquery = @LIB_loadquery@
254LIB_logout = @LIB_logout@
255LIB_logwtmp = @LIB_logwtmp@
256LIB_openldap = @LIB_openldap@
257LIB_openpty = @LIB_openpty@
258LIB_otp = @LIB_otp@
259LIB_pidfile = @LIB_pidfile@
260LIB_readline = @LIB_readline@
261LIB_res_ndestroy = @LIB_res_ndestroy@
262LIB_res_nsearch = @LIB_res_nsearch@
263LIB_res_search = @LIB_res_search@
264LIB_roken = @LIB_roken@
265LIB_security = @LIB_security@
266LIB_setsockopt = @LIB_setsockopt@
267LIB_socket = @LIB_socket@
268LIB_sqlite3 = @LIB_sqlite3@
269LIB_syslog = @LIB_syslog@
270LIB_tgetent = @LIB_tgetent@
271LIPO = @LIPO@
272LN_S = @LN_S@
273LTLIBOBJS = @LTLIBOBJS@
274MAINT = @MAINT@
275MAKEINFO = @MAKEINFO@
276MANIFEST_TOOL = @MANIFEST_TOOL@
277MKDIR_P = @MKDIR_P@
278NM = @NM@
279NMEDIT = @NMEDIT@
280NO_AFS = @NO_AFS@
281NROFF = @NROFF@
282OBJDUMP = @OBJDUMP@
283OBJEXT = @OBJEXT@
284OTOOL = @OTOOL@
285OTOOL64 = @OTOOL64@
286PACKAGE = @PACKAGE@
287PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
288PACKAGE_NAME = @PACKAGE_NAME@
289PACKAGE_STRING = @PACKAGE_STRING@
290PACKAGE_TARNAME = @PACKAGE_TARNAME@
291PACKAGE_URL = @PACKAGE_URL@
292PACKAGE_VERSION = @PACKAGE_VERSION@
293PATH_SEPARATOR = @PATH_SEPARATOR@
294PKG_CONFIG = @PKG_CONFIG@
295PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
296PTHREAD_LDADD = @PTHREAD_LDADD@
297PTHREAD_LIBADD = @PTHREAD_LIBADD@
298RANLIB = @RANLIB@
299SED = @SED@
300SET_MAKE = @SET_MAKE@
301SHELL = @SHELL@
302SLC = @SLC@
303SLC_DEP = @SLC_DEP@
304STRIP = @STRIP@
305VERSION = @VERSION@
306VERSIONING = @VERSIONING@
307WFLAGS = @WFLAGS@
308WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
309WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
310XMKMF = @XMKMF@
311X_CFLAGS = @X_CFLAGS@
312X_EXTRA_LIBS = @X_EXTRA_LIBS@
313X_LIBS = @X_LIBS@
314X_PRE_LIBS = @X_PRE_LIBS@
315YACC = @YACC@
316YFLAGS = @YFLAGS@
317abs_builddir = @abs_builddir@
318abs_srcdir = @abs_srcdir@
319abs_top_builddir = @abs_top_builddir@
320abs_top_srcdir = @abs_top_srcdir@
321ac_ct_AR = @ac_ct_AR@
322ac_ct_CC = @ac_ct_CC@
323ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
324am__include = @am__include@
325am__leading_dot = @am__leading_dot@
326am__quote = @am__quote@
327am__tar = @am__tar@
328am__untar = @am__untar@
329bindir = @bindir@
330build = @build@
331build_alias = @build_alias@
332build_cpu = @build_cpu@
333build_os = @build_os@
334build_vendor = @build_vendor@
335builddir = @builddir@
336datadir = @datadir@
337datarootdir = @datarootdir@
338docdir = @docdir@
339dpagaix_cflags = @dpagaix_cflags@
340dpagaix_ldadd = @dpagaix_ldadd@
341dpagaix_ldflags = @dpagaix_ldflags@
342dvidir = @dvidir@
343exec_prefix = @exec_prefix@
344host = @host@
345host_alias = @host_alias@
346host_cpu = @host_cpu@
347host_os = @host_os@
348host_vendor = @host_vendor@
349htmldir = @htmldir@
350includedir = @includedir@
351infodir = @infodir@
352install_sh = @install_sh@
353libdir = @libdir@
354libexecdir = @libexecdir@
355localedir = @localedir@
356localstatedir = @localstatedir@
357mandir = @mandir@
358mkdir_p = @mkdir_p@
359oldincludedir = @oldincludedir@
360pdfdir = @pdfdir@
361prefix = @prefix@
362program_transform_name = @program_transform_name@
363psdir = @psdir@
364sbindir = @sbindir@
365sharedstatedir = @sharedstatedir@
366srcdir = @srcdir@
367subdirs = @subdirs@
368sysconfdir = @sysconfdir@
369target_alias = @target_alias@
370top_build_prefix = @top_build_prefix@
371top_builddir = @top_builddir@
372top_srcdir = @top_srcdir@
373SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
374DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
375AM_CPPFLAGS = $(INCLUDES_roken) -I$(srcdir)/.. $(INCLUDE_hcrypto)
376@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
377AM_CFLAGS = $(WFLAGS)
378CP = cp
379buildinclude = $(top_builddir)/include
380LIB_el_init = @LIB_el_init@
381LIB_getattr = @LIB_getattr@
382LIB_getpwent_r = @LIB_getpwent_r@
383LIB_odm_initialize = @LIB_odm_initialize@
384LIB_setpcred = @LIB_setpcred@
385HESIODLIB = @HESIODLIB@
386HESIODINCLUDE = @HESIODINCLUDE@
387libexec_heimdaldir = $(libexecdir)/heimdal
388NROFF_MAN = groff -mandoc -Tascii
389LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
390@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
391@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
392
393@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
394LIB_heimbase = $(top_builddir)/base/libheimbase.la
395@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
396CHECK_LOCAL = 
397telnetd_SOURCES = telnetd.c state.c termstat.c slc.c sys_term.c \
398		   utility.c global.c authenc.c defs.h ext.h telnetd.h
399
400man_MANS = telnetd.8
401LDADD = \
402	../libtelnet/libtelnet.a \
403	$(LIB_krb5) \
404	$(LIB_hcrypto) \
405	$(LIB_tgetent) \
406	$(LIB_logwtmp) \
407	$(LIB_logout) \
408	$(LIB_openpty) \
409	$(LIB_kdfs) \
410	$(LIB_roken)
411
412EXTRA_DIST = NTMakefile $(man_MANS)
413all: all-am
414
415.SUFFIXES:
416.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
417$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
418	@for dep in $?; do \
419	  case '$(am__configure_deps)' in \
420	    *$$dep*) \
421	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
422	        && { if test -f $@; then exit 0; else break; fi; }; \
423	      exit 1;; \
424	  esac; \
425	done; \
426	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign appl/telnet/telnetd/Makefile'; \
427	$(am__cd) $(top_srcdir) && \
428	  $(AUTOMAKE) --foreign appl/telnet/telnetd/Makefile
429.PRECIOUS: Makefile
430Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
431	@case '$?' in \
432	  *config.status*) \
433	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
434	  *) \
435	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
436	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
437	esac;
438
439$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
440	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
441
442$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
443	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
444$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
445	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
446$(am__aclocal_m4_deps):
447install-libexecPROGRAMS: $(libexec_PROGRAMS)
448	@$(NORMAL_INSTALL)
449	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
450	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
451	for p in $$list; do echo "$$p $$p"; done | \
452	sed 's/$(EXEEXT)$$//' | \
453	while read p p1; do if test -f $$p || test -f $$p1; \
454	  then echo "$$p"; echo "$$p"; else :; fi; \
455	done | \
456	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
457	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
458	sed 'N;N;N;s,\n, ,g' | \
459	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
460	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
461	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
462	    else { print "f", $$3 "/" $$4, $$1; } } \
463	  END { for (d in files) print "f", d, files[d] }' | \
464	while read type dir files; do \
465	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
466	    test -z "$$files" || { \
467	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
468	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
469	    } \
470	; done
471
472uninstall-libexecPROGRAMS:
473	@$(NORMAL_UNINSTALL)
474	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
475	files=`for p in $$list; do echo "$$p"; done | \
476	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
477	      -e 's/$$/$(EXEEXT)/' `; \
478	test -n "$$list" || exit 0; \
479	echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
480	cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
481
482clean-libexecPROGRAMS:
483	@list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
484	echo " rm -f" $$list; \
485	rm -f $$list || exit $$?; \
486	test -n "$(EXEEXT)" || exit 0; \
487	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
488	echo " rm -f" $$list; \
489	rm -f $$list
490telnetd$(EXEEXT): $(telnetd_OBJECTS) $(telnetd_DEPENDENCIES) 
491	@rm -f telnetd$(EXEEXT)
492	$(LINK) $(telnetd_OBJECTS) $(telnetd_LDADD) $(LIBS)
493
494mostlyclean-compile:
495	-rm -f *.$(OBJEXT)
496
497distclean-compile:
498	-rm -f *.tab.c
499
500@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authenc.Po@am__quote@
501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/global.Po@am__quote@
502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slc.Po@am__quote@
503@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/state.Po@am__quote@
504@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sys_term.Po@am__quote@
505@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/telnetd.Po@am__quote@
506@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/termstat.Po@am__quote@
507@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utility.Po@am__quote@
508
509.c.o:
510@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
511@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
512@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
513@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514@am__fastdepCC_FALSE@	$(COMPILE) -c $<
515
516.c.obj:
517@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
518@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
519@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
520@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
522
523.c.lo:
524@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
525@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
526@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
527@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
528@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
529
530mostlyclean-libtool:
531	-rm -f *.lo
532
533clean-libtool:
534	-rm -rf .libs _libs
535install-man8: $(man_MANS)
536	@$(NORMAL_INSTALL)
537	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
538	@list=''; test -n "$(man8dir)" || exit 0; \
539	{ for i in $$list; do echo "$$i"; done; \
540	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
541	  sed -n '/\.8[a-z]*$$/p'; \
542	} | while read p; do \
543	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
544	  echo "$$d$$p"; echo "$$p"; \
545	done | \
546	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
547	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
548	sed 'N;N;s,\n, ,g' | { \
549	list=; while read file base inst; do \
550	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
551	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
552	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
553	  fi; \
554	done; \
555	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
556	while read files; do \
557	  test -z "$$files" || { \
558	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
559	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
560	done; }
561
562uninstall-man8:
563	@$(NORMAL_UNINSTALL)
564	@list=''; test -n "$(man8dir)" || exit 0; \
565	files=`{ for i in $$list; do echo "$$i"; done; \
566	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
567	  sed -n '/\.8[a-z]*$$/p'; \
568	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
569	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
570	test -z "$$files" || { \
571	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
572	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
573
574ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
575	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
576	unique=`for i in $$list; do \
577	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
578	  done | \
579	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
580	      END { if (nonempty) { for (i in files) print i; }; }'`; \
581	mkid -fID $$unique
582tags: TAGS
583
584TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
585		$(TAGS_FILES) $(LISP)
586	set x; \
587	here=`pwd`; \
588	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
589	unique=`for i in $$list; do \
590	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
591	  done | \
592	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
593	      END { if (nonempty) { for (i in files) print i; }; }'`; \
594	shift; \
595	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
596	  test -n "$$unique" || unique=$$empty_fix; \
597	  if test $$# -gt 0; then \
598	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
599	      "$$@" $$unique; \
600	  else \
601	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
602	      $$unique; \
603	  fi; \
604	fi
605ctags: CTAGS
606CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
607		$(TAGS_FILES) $(LISP)
608	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
609	unique=`for i in $$list; do \
610	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
611	  done | \
612	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
613	      END { if (nonempty) { for (i in files) print i; }; }'`; \
614	test -z "$(CTAGS_ARGS)$$unique" \
615	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
616	     $$unique
617
618GTAGS:
619	here=`$(am__cd) $(top_builddir) && pwd` \
620	  && $(am__cd) $(top_srcdir) \
621	  && gtags -i $(GTAGS_ARGS) "$$here"
622
623distclean-tags:
624	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
625
626distdir: $(DISTFILES)
627	@list='$(MANS)'; if test -n "$$list"; then \
628	  list=`for p in $$list; do \
629	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
630	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
631	  if test -n "$$list" && \
632	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
633	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
634	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
635	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
636	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
637	    exit 1; \
638	  else :; fi; \
639	else :; fi
640	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
641	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
642	list='$(DISTFILES)'; \
643	  dist_files=`for file in $$list; do echo $$file; done | \
644	  sed -e "s|^$$srcdirstrip/||;t" \
645	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
646	case $$dist_files in \
647	  */*) $(MKDIR_P) `echo "$$dist_files" | \
648			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
649			   sort -u` ;; \
650	esac; \
651	for file in $$dist_files; do \
652	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
653	  if test -d $$d/$$file; then \
654	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
655	    if test -d "$(distdir)/$$file"; then \
656	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
657	    fi; \
658	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
659	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
660	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
661	    fi; \
662	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
663	  else \
664	    test -f "$(distdir)/$$file" \
665	    || cp -p $$d/$$file "$(distdir)/$$file" \
666	    || exit 1; \
667	  fi; \
668	done
669	$(MAKE) $(AM_MAKEFLAGS) \
670	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
671	  dist-hook
672check-am: all-am
673	$(MAKE) $(AM_MAKEFLAGS) check-local
674check: check-am
675all-am: Makefile $(PROGRAMS) $(MANS) all-local
676installdirs:
677	for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
678	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
679	done
680install: install-am
681install-exec: install-exec-am
682install-data: install-data-am
683uninstall: uninstall-am
684
685install-am: all-am
686	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
687
688installcheck: installcheck-am
689install-strip:
690	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
691	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
692	  `test -z '$(STRIP)' || \
693	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
694mostlyclean-generic:
695
696clean-generic:
697
698distclean-generic:
699	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
700	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
701
702maintainer-clean-generic:
703	@echo "This command is intended for maintainers to use"
704	@echo "it deletes files that may require special tools to rebuild."
705clean: clean-am
706
707clean-am: clean-generic clean-libexecPROGRAMS clean-libtool \
708	mostlyclean-am
709
710distclean: distclean-am
711	-rm -rf ./$(DEPDIR)
712	-rm -f Makefile
713distclean-am: clean-am distclean-compile distclean-generic \
714	distclean-tags
715
716dvi: dvi-am
717
718dvi-am:
719
720html: html-am
721
722html-am:
723
724info: info-am
725
726info-am:
727
728install-data-am: install-man
729	@$(NORMAL_INSTALL)
730	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
731install-dvi: install-dvi-am
732
733install-dvi-am:
734
735install-exec-am: install-libexecPROGRAMS
736	@$(NORMAL_INSTALL)
737	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
738install-html: install-html-am
739
740install-html-am:
741
742install-info: install-info-am
743
744install-info-am:
745
746install-man: install-man8
747
748install-pdf: install-pdf-am
749
750install-pdf-am:
751
752install-ps: install-ps-am
753
754install-ps-am:
755
756installcheck-am:
757
758maintainer-clean: maintainer-clean-am
759	-rm -rf ./$(DEPDIR)
760	-rm -f Makefile
761maintainer-clean-am: distclean-am maintainer-clean-generic
762
763mostlyclean: mostlyclean-am
764
765mostlyclean-am: mostlyclean-compile mostlyclean-generic \
766	mostlyclean-libtool
767
768pdf: pdf-am
769
770pdf-am:
771
772ps: ps-am
773
774ps-am:
775
776uninstall-am: uninstall-libexecPROGRAMS uninstall-man
777	@$(NORMAL_INSTALL)
778	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
779uninstall-man: uninstall-man8
780
781.MAKE: check-am install-am install-data-am install-exec-am \
782	install-strip uninstall-am
783
784.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
785	clean clean-generic clean-libexecPROGRAMS clean-libtool ctags \
786	dist-hook distclean distclean-compile distclean-generic \
787	distclean-libtool distclean-tags distdir dvi dvi-am html \
788	html-am info info-am install install-am install-data \
789	install-data-am install-data-hook install-dvi install-dvi-am \
790	install-exec install-exec-am install-exec-hook install-html \
791	install-html-am install-info install-info-am \
792	install-libexecPROGRAMS install-man install-man8 install-pdf \
793	install-pdf-am install-ps install-ps-am install-strip \
794	installcheck installcheck-am installdirs maintainer-clean \
795	maintainer-clean-generic mostlyclean mostlyclean-compile \
796	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
797	tags uninstall uninstall-am uninstall-hook \
798	uninstall-libexecPROGRAMS uninstall-man uninstall-man8
799
800
801install-suid-programs:
802	@foo='$(bin_SUIDS)'; \
803	for file in $$foo; do \
804	x=$(DESTDIR)$(bindir)/$$file; \
805	if chown 0:0 $$x && chmod u+s $$x; then :; else \
806	echo "*"; \
807	echo "* Failed to install $$x setuid root"; \
808	echo "*"; \
809	fi; done
810
811install-exec-hook: install-suid-programs
812
813install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
814	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
815	for f in $$foo; do \
816		f=`basename $$f`; \
817		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
818		else file="$$f"; fi; \
819		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
820		: ; else \
821			echo " $(CP) $$file $(buildinclude)/$$f"; \
822			$(CP) $$file $(buildinclude)/$$f; \
823		fi ; \
824	done ; \
825	foo='$(nobase_include_HEADERS)'; \
826	for f in $$foo; do \
827		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
828		else file="$$f"; fi; \
829		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
830		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
831		: ; else \
832			echo " $(CP) $$file $(buildinclude)/$$f"; \
833			$(CP) $$file $(buildinclude)/$$f; \
834		fi ; \
835	done
836
837all-local: install-build-headers
838
839check-local::
840	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
841	  foo=''; elif test '$(CHECK_LOCAL)'; then \
842	  foo='$(CHECK_LOCAL)'; else \
843	  foo='$(PROGRAMS)'; fi; \
844	  if test "$$foo"; then \
845	  failed=0; all=0; \
846	  for i in $$foo; do \
847	    all=`expr $$all + 1`; \
848	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
849	      echo "PASS: $$i"; \
850	    else \
851	      echo "FAIL: $$i"; \
852	      failed=`expr $$failed + 1`; \
853	    fi; \
854	  done; \
855	  if test "$$failed" -eq 0; then \
856	    banner="All $$all tests passed"; \
857	  else \
858	    banner="$$failed of $$all tests failed"; \
859	  fi; \
860	  dashes=`echo "$$banner" | sed s/./=/g`; \
861	  echo "$$dashes"; \
862	  echo "$$banner"; \
863	  echo "$$dashes"; \
864	  test "$$failed" -eq 0 || exit 1; \
865	fi
866
867.x.c:
868	@cmp -s $< $@ 2> /dev/null || cp $< $@
869
870.hx.h:
871	@cmp -s $< $@ 2> /dev/null || cp $< $@
872#NROFF_MAN = nroff -man
873.1.cat1:
874	$(NROFF_MAN) $< > $@
875.3.cat3:
876	$(NROFF_MAN) $< > $@
877.5.cat5:
878	$(NROFF_MAN) $< > $@
879.8.cat8:
880	$(NROFF_MAN) $< > $@
881
882dist-cat1-mans:
883	@foo='$(man1_MANS)'; \
884	bar='$(man_MANS)'; \
885	for i in $$bar; do \
886	case $$i in \
887	*.1) foo="$$foo $$i";; \
888	esac; done ;\
889	for i in $$foo; do \
890		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
891		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
892		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
893	done
894
895dist-cat3-mans:
896	@foo='$(man3_MANS)'; \
897	bar='$(man_MANS)'; \
898	for i in $$bar; do \
899	case $$i in \
900	*.3) foo="$$foo $$i";; \
901	esac; done ;\
902	for i in $$foo; do \
903		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
904		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
905		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
906	done
907
908dist-cat5-mans:
909	@foo='$(man5_MANS)'; \
910	bar='$(man_MANS)'; \
911	for i in $$bar; do \
912	case $$i in \
913	*.5) foo="$$foo $$i";; \
914	esac; done ;\
915	for i in $$foo; do \
916		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
917		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
918		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
919	done
920
921dist-cat8-mans:
922	@foo='$(man8_MANS)'; \
923	bar='$(man_MANS)'; \
924	for i in $$bar; do \
925	case $$i in \
926	*.8) foo="$$foo $$i";; \
927	esac; done ;\
928	for i in $$foo; do \
929		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
930		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
931		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
932	done
933
934dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
935
936install-cat-mans:
937	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
938
939uninstall-cat-mans:
940	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
941
942install-data-hook: install-cat-mans
943uninstall-hook: uninstall-cat-mans
944
945.et.h:
946	$(COMPILE_ET) $<
947.et.c:
948	$(COMPILE_ET) $<
949
950#
951# Useful target for debugging
952#
953
954check-valgrind:
955	tobjdir=`cd $(top_builddir) && pwd` ; \
956	tsrcdir=`cd $(top_srcdir) && pwd` ; \
957	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
958
959#
960# Target to please samba build farm, builds distfiles in-tree.
961# Will break when automake changes...
962#
963
964distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
965	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
966	  if test "$$subdir" != .; then \
967	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
968	  fi ; \
969	done
970
971# Tell versions [3.59,3.63) of GNU make to not export all variables.
972# Otherwise a system limit (for SysV at least) may be exceeded.
973.NOEXPORT: